import random

from config import IMG_PATH, VOC_PATH, CLASSES

random.seed(233)
annos = VOC_PATH / 'Annotations'
datasets = VOC_PATH / 'ImageSets' / 'Main'
images = VOC_PATH / 'JPEGImages'
annos.mkdir(exist_ok=True)
datasets.mkdir(parents=True, exist_ok=True)
images.mkdir(exist_ok=True)

for img in IMG_PATH.glob('*.jpg'):
    img.rename(images / img.name)

for anno in IMG_PATH.glob('*.xml'):
    anno.rename(annos / anno.name)

labels = VOC_PATH / 'labels.txt'
labels.write_text('\n'.join(CLASSES))

train_file = datasets / 'train.txt'
val_file = datasets / 'val.txt'
train_val_file = datasets / 'trainval.txt'
test_file = datasets / 'test.txt'

train_ratio = 0.7
val_ratio = 0.1

total = list(annos.glob('*.xml'))
random.shuffle(total)
total_nums = len(total)

train_num = int(total_nums * train_ratio)
val_num = int(total_nums * val_ratio)

train = total[:train_num]
val = total[train_num:train_num + val_num]
test = total[train_num + val_num:]

train = '\n'.join([i.name.rstrip('.xml') for i in train])
val = '\n'.join([i.name.rstrip('.xml') for i in val])
test = '\n'.join([i.name.rstrip('.xml') for i in test])

train_file.write_text(train)
val_file.write_text(val)
test_file.write_text(test)
train_val_file.write_text(train + '\n' + val)
