# noinspection PyUnresolvedReferences
import jetson.inference
import jetson.utils

net = jetson.inference.detectNet(argv=[
    '--model=../ssd-mobilenet.onnx',
    '--labels=../labels.txt',
    '--input-blob=input_0',
    '--output-cvg=scores',
    '--output-bbox=boxes',
],
    threshold=0.5)

input = jetson.utils.videoSource('/dev/video0')

count = 0
while True:
    count += 1
    img = input.Capture()
    detections = net.Detect(img, overlay='box,labels,conf')
    print("detected {:d} objects in image".format(len(detections)))
    for detection in detections:
        print(detection)
    if count >= 100:
        break
